spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher

  data:
    mongodb:
      uri: ${SPRING_DATA_MONGODB_URI}

cloud:
  aws:
    region:
      static: ${CLOUD_AWS_REGION}
      auto: false
    credentials:
      accessKey: ${CLOUD_AWS_ACCESS_KEY}
      secretKey: ${CLOUD_AWS_SECRET_KEY}

  mail:
    default-encoding: UTF-8
    host: smtp.gmail.com
    username: AKIA37QJOSC7JWWMYXH3
    password: BFfdypfCiETWvQWAXKEPnHZt3jOJfen6riHAW8JTVi9C
    port: 587
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
    protocol: smtp
    test-connection: false

email:
  from: ${EMAIL_FROM}
  subject: ${EMAIL_SUBJECT}

management:
  endpoint:
    health:
      show-details: always
  endpoints:
    web:
      base-path:
      path-mapping:
        health: /healthcheck

auth:
  util:
    jwt:
      secret: ${JWT_SECRET}



